Unfriend Checker
These days, 4G LTE has become the standard on the majority of smartphones out there. As a result, many devices are VoLTE compatible, but we imagine that there are probably still a handful of people out there that are still holding onto their older 3G-only devices. If you are, then you might want to take note of this.

Advertising

According to a leaked document obtained by Android Police, it seems that T-Mobile will be ending support for non-VoLTE devices starting in January 2021. This means that if you have a device that does not support VoLTE, then you could be in trouble as it means that your device will not be able to work on T-Mobile’s network.

The carrier has since issued a statement confirming that to be true, but did not mention if the January 2021 deadline was accurate. According to T-Mobile, “We’re making great progress building a truly transformative nationwide 5G network. As part of that, we will be phasing out some older technologies over time to free up even more capacity for LTE and 5G. In preparation for that and to give customers the best experience, those activating new lines at T-Mobile will need a VoLTE capable device, which is all we’ve offered for years now and represents the overwhelming majority of devices on the network.”

AT&T had also recently announced something similar but their deadline is set for 2022, so customers on AT&T’s network will have a bit more time to upgrade their devices

Filed in Cellphones. Read more about . Source: androidpolice

Related Articles on Ubergizmo